"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertBotComponent = exports.BotComponent = void 0;
const botbuilder_stdlib_1 = require("botbuilder-stdlib");
/**
 * Definition of a BotComponent that allows registration of services, custom actions, memory scopes and adapters.
 *
 * To make your components available to the system you derive from BotComponent and register services to add functionality.
 * These components then are consumed in appropriate places by the systems that need them. When using Composer, configureServices
 * gets called automatically on the components by the bot runtime, as long as the components are registered in the configuration.
 */
class BotComponent {
}
exports.BotComponent = BotComponent;
exports.assertBotComponent = (val, path) => {
    botbuilder_stdlib_1.assert.unsafe.castObjectAs(val, path);
    botbuilder_stdlib_1.assert.func(val.configureServices, path.concat('configureServices'));
};
//# sourceMappingURL=botComponent.js.map