/**
 * @module botbuilder
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
/**
 * Helper class containing string utility methods.
 */
export declare class StringUtils {
    /**
     * Truncate string with ...
     * @param text Text.
     * @param length Length to truncate text.
     */
    static ellipsis(text: string, length: number): string;
    /**
     * UniqueHash - create a unique hash from a string.
     *
     * @remarks
     * The source for this function was derived from the following article:
     *
     * https://werxltd.com/wp/2010/05/13/javascript-implementation-of-javas-string-hashcode-method/
     *
     * @param text Text to hash.
     */
    static hash(text: string): string;
    /**
     * EllipsisHash - create truncated string with unique hash for the truncated part.
     * @param text Text to truncate.
     * @param length Length to truncate at.
     */
    static ellipsisHash(text: string, length: number): string;
}
//# sourceMappingURL=stringUtils.d.ts.map